<!DOCTYPE html>
<html>
    <head>
        <title>TRANG QUẢN TRỊ</title>
        <meta charset="utf-8"/>
        <link rel="stylesheet" type="text/css" href="/bootstrap/css/bootstrap-theme.css">
        <link rel="stylesheet" type="text/css" href="/bootstrap/css/bootstrap.css">
        <link rel="stylesheet" type="text/css" href="/icons/css/font-awesome.css">
        <link rel="stylesheet" type="text/css" href="/css/management.css"> 
        <link rel="stylesheet" type="text/css" href="/sweetalert/sweetalert2.min.css"> 
        <script type="text/javascript" src="/js/jquery.min.js"></script>
        <script type="text/javascript" src="/bootstrap/js/bootstrap.js"></script>
        <script type="text/javascript" src="/js/axios.min.js"></script>
        <script type="text/javascript" src="/sweetalert/sweetalert2.min.js"></script>
        <script type="text/javascript" src="/js/DataAPI/allData.js"></script>
    </head>
    <body style="background-color: #F9F9F9">
        <div class="container">
             <%- include('includes/nav-admin') %> 
        <div>  
        <form id="myForm" method="POST" action="<%- localhost %>/api/tours/insert" enctype="multipart/form-data">     
            <div id="formChiTietTour" class="wrap-fieldset"> 
                <fieldset>    	
                    <legend>Chi tiết TOUR</legend>                       
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-inline">
                                        <div class="col-md-6">
                                            <label for="maTour">Mã TOUR:</label>
                                            <input style="width: 100%;" onchange="handleMaDieuKhoan('maTour', 'maDK', 'maDKSpan')" type="text" class="form-control" name="maTour" id="maTour">
                                            <!-- <span style="display: block;" class="errMessage" id="errMaTour">Mã Tour không đc bỏ trống</span>  -->
                                        </div>
                                        <div class="col-md-6">
                                            <label style="margin-left: 5%;" for="giaTour">Giá TOUR:</label>
                                            <input style="width: 100%; color: red;" name="giaTour" type="text" class="form-control" id="giaTour" />
                                            <!-- <span style="display: block;" class="errMessage" id="errGiaTour">Giá Tour không đc bỏ trống</span>  -->
                                        </div>
                                        
                                    </div>
                                    <br />
                                    <div class="form-group col-md-12">
                                        <label for="tenTour">Tên TOUR:</label>
                                        <input style="width: 100%;" onchange="replaceSingleQuote(this)" type="text" class="form-control" name="tenTour" id="tenTour">
                                        <!-- <span style="display: block;" class="errMessage" id="errTenTour">Tên Tour không đc bỏ trống</span>  -->
                                    </div>
                                    <div class="form-group col-md-12">
                                        <label for="thoiGian">Thời gian:</label>
                                        <input style="width: 100%" onchange="replaceSingleQuote(this)" type="text" class="form-control" name="thoiGian" id="thoiGian">
                                        <!-- <span style="display: block;" class="errMessage" id="errThoiGian">Thời gian không đc bỏ trống</span>  -->
                                    </div>
                                    <div class="form-group col-md-12">
                                        <label for="gioiThieu">Giới thiệu:</label>
                                        <input style="width: 100%" onchange="replaceSingleQuote(this)" type="text" class="form-control" name="gioiThieu" id="gioiThieu">
                                        <!-- <span style="display: block;" class="errMessage" id="errGioiThieu">Giới thiệu không đc bỏ trống</span> -->
                                    </div>
                                    <div class="col-md-12">
                                        <fieldset>
                                            <legend>Phương tiện: </legend>
                                            <div class="panel panel-default">
                                                <div class="panel-body">
                                                    <label class="checkbox-inline"><input class="phuongTien" name="phuongTien" id="PLANE" type="checkbox" value="PLANE">Máy Bay</label>
                                                    <label class="checkbox-inline"><input class="phuongTien" name="phuongTien" id="BUS" type="checkbox" value="BUS">Ô tô</label>
                                                    <label class="checkbox-inline"><input class="phuongTien" name="phuongTien" id="SHIP" type="checkbox" value="SHIP">Tàu</label>
                                                </div>
                                            </div>
                                            <span style="display: block; visibility: hidden;" class="errMessage" id="errPhuongTien" >Bạn chưa chọn phương tiện</span>  
                                        </fieldset>      
                                    </div>                          
                                </div> 
                                <div class="col-md-6">
                                    <div class="row form-inline">
                                        <div class="col-md-6">
                                            <label for="diaDiem">Khu vực: </label>
                                            <select class="form-control" id="khuVuc" name="khuVuc" onchange="changeKhuVuc('khuVuc', 'diaDiem')">
                                                <option>Trong nước</option>
                                                <option>Ngoài nước</option>
                                            </select>                           
                                        </div>
                                        <div class="col-md-6">
                                            <label for="diaDiem">Địa điểm: </label>
                                            <select style="display: none;" name="diaDiem" class="form-control" id="TrongNuoc">
                                                <!-- <option>Hà Nội</option>  -->
                                            </select>
                                            <select style="display: none;" name="diaDiem" class="form-control" id="NgoaiNuoc">
                                                <!-- <option>Hà Nội</option>  -->
                                            </select>
                                            <span style="display: block; visibility:hidden;" class="errMessage" id="errDiaDiem">Bạn chưa chọn địa điểm</span> 
                                        </div>
                                    </div>   
                                    <div class="row col-md-12">   
                                        <div class="anh-tour">
                                                <img height="285px" id="anhTour" src="/images/default.png" />     
                                        </div>     
                                        <label for="anhTourInput" class="custom-file-upload">
                                            <i class="fa fa-upload" aria-hidden="true"></i> Chọn ảnh Tour
                                        </label>
                                        <input id="anhTourInput" onchange="handleUploadAnh('anhTourInput', 'anhTourSpan', 'anhTour')" name="anhTourInput" type="file"/><span id="anhTourSpan"></span>                          
                                        <span style="display: block; visibility: hidden" class="errMessage" id="errAnhTour">Ảnh Tour không được bỏ trống</span> 
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>      
                </fieldset>	
            </div>
            
            
            <div id="formLichTrinh" class="wrap-fieldset">          
                <fieldset>    	
                        <legend>Lịch trình</legend>                  
                        <div class="panel panel-default">
                            <div class="panel-body" id="lichTrinhNgay">
                                <div style="margin-left: 1%; margin-bottom: 3%;" class="form-inline">
                                    <label for="soNgay">Số ngày:</label>
                                    <input style="width: 10%" min="0" type="number" class="form-control" id="soNgay">
                                    <input type="button" id="btnCapNhat" class="btn btn-default" onclick="handleShowLichTrinh('soNgay', 'placeOfDisplay')" value="Cập nhật"/>
                                    <span style="display: block; visibility:hidden" class="errMessage" id="errSoNgay">Tour chưa có lịch trình !?</span>                                     
                                </div>
                                <div id="placeOfDisplay">
                                    <!-- Inside dataThemTour >> handleShowLichTrinh() -->
                                </div>
                            </div>
                        </div>      
                </fieldset>	         
            </div>
                
            
            <div id="formDichVu" class="wrap-fieldset">
                <fieldset>    	
                        <legend>Dịch vụ</legend>                  
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="checkbox">
                                            <label><input type="checkbox" class="dichVu" name="dichVu" id="BH" value="BH">Bảo hiểm</label>
                                        </div>
                                        <div class="checkbox">
                                            <label><input type="checkbox" class="dichVu" name="dichVu" id="GUIDER" value="GUIDER">Hướng dẫn viên</label>
                                        </div>
                                        <div class="checkbox ">
                                            <label><input type="checkbox" class="dichVu" name="dichVu" id="FOOD" value="FOOD">Bữa ăn</label>
                                        </div>  
                                        <div class="checkbox ">
                                            <label><input type="checkbox" class="dichVu" name="dichVu" id="TICKET" value="TICKET">Vé tham quan</label>
                                        </div>   
                                        <div class="checkbox ">
                                            <label><input type="checkbox" class="dichVu" name="dichVu" id="VEHICLE" value="VEHICLE">Xe đưa đón</label>
                                        </div>                            
                                    </div> 
                                </div>                           
                            </div>
                        </div>
                        <span style="display: block; visibility: hidden;" class="errMessage" id="errDichVu" >Bạn chưa chọn dịch vụ</span>        
                </fieldset>	    
            </div>  
            
            <div id="formDoiTac" class="wrap-fieldset">
                <fieldset>    	
                        <legend>Đối tác</legend>                  
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <div class="form-inline" style="margin-bottom: 20px;">
                                    <label for="btnShowDT">Hiển thị danh sách đối tác:  </label><br/>
                                    <input type="button" style="width: 16%" class="btn btn-default form-control" data-toggle="modal" data-target="#myModalListDoiTac" id="btnShowDT" value="Show">
                                    <!-- Modal -->
                                    <div id="myModalListDoiTac" class="modal fade" role="dialog">
                                    <div class="modal-dialog">

                                        <!-- Modal content-->
                                        <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                                            <h4 style="display: inline" class="modal-title">Danh sách đối tác: </h4>
                                            <div style="display: inline; margin-right: 3%;" class="clear-fix">
                                                <input type="text" class="form-control" id="keySearchDoiTac" style="display: inline" placeholder="Tìm đối tác ... " value=""/>
                                                <input type="button" onclick="searchDoiTac()" class="btn btn-default" value="Tìm"/>
                                            </div>
                                        </div>
                                        <div class="modal-body" style="height: 400px; overflow:auto">
                                            <table class="table table-bordered">
                                                <thead>
                                                <tr>
                                                    <th class="col-md-1 text-center">Mã</th>
                                                    <th class="col-md-4 text-center">Tên</th>
                                                    <th class="col-md-5 text-center">Địa chỉ</th>
                                                    <th class="col-md-1 text-center">
                                                    </th>
                                                </tr>
                                                </thead>
                                                <tbody id="bodyModalShowDoiTac">
                                                    <!-- HERE -->
                                                </tbody>
                                            </table>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                        </div>
                                        </div>

                                    </div>
                                    </div>                                
                                </div>                                    
                                <div class="form-group">
                                    <label for="maDoiTac">Mã đối tác:</label>
                                    <input type="text" style="width: 40%" class="form-control" name="maDoiTac" id="maDoiTac">
                                </div>                               
                                <div class="form-group">
                                    <label for="tenDoiTac">Tên đối tác:</label>
                                    <input onchange="replaceSingleQuote(this)" type="text" class="form-control" name="tenDoiTac" id="tenDoiTac">
                                </div>
                                <div class="form-group">
                                    <label for="diachiDoiTac">Địa chỉ:</label>
                                    <input onchange="replaceSingleQuote(this)" type="text" class="form-control" name="diachiDoiTac" id="diachiDoiTac">
                                </div>                         
                            </div>
                        </div>      
                </fieldset>	        
            </div>
                
            
            <div id="formDieuKhoan" class="wrap-fieldset">
                <fieldset>    	
                        <legend>Điều khoản</legend>                  
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <div class="form-group">
                                    <label for="maDK">Mã điều khoản:</label>
                                    <span id="maDKSpan"></span>
                                    <input style="display: none" name="maDK" value="" id="maDK"/>
                                </div>
                                <div class="form-group">
                                    <label for="vanChuyenDK">Vận chuyển:</label>
                                    <textarea onchange="replaceSingleQuote(this)" type="text" class="form-control" name="vanChuyenDK" id="vanChuyenDK"></textarea>
                                </div>
                                <div class="form-group">
                                    <label for="luuTruDK">Lưu trữ:</label>
                                    <textarea onchange="replaceSingleQuote(this)" type="text" class="form-control" name="luuTruDK" id="luuTruDK"></textarea>
                                </div> 
                                <div class="form-group">
                                    <label for="khacDK">Khác:</label>
                                    <textarea onchange="replaceSingleQuote(this)" type="text" class="form-control" name="khacDK" id="khacDK"></textarea>
                                </div>                            
                            </div>
                        </div>      
                </fieldset>	              
            </div>
            <button type="button" class="btn btn-default" id="btnXacNhan" style="width:20%; margin-left: 1.5%; margin-bottom: 2%;">Xác nhận</button>
            <button type="button" id="btnReset" class="btn btn-danger" style="width: 20%; margin-left: 1.5%; margin-bottom: 2%;">Reset</button>
        </form>

        <script type="text/javascript" src="/js/DataAPI/dataThemTour.js"></script>
    </body>
</html>